# H225_H323_UU_PDU Class Reference

`#include <h225.h>`

Inheritance diagram for H225_H323_UU_PDU:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_h4501SupplementaryService, e_h245Tunneling, e_h245Control, e_nonStandardControl, e_callLinkage, e_tunnelledSignallingMessage, e_provisionalRespToH245Tunneling, e_stimulusControl, e_genericData }

## Public Member Functions

| H225_H323_UU_PDU (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_H323_UU_PDU_h323_message_body | m_h323_message_body
H225_NonStandardParameter | m_nonStandardData
H225_ArrayOf_PASN_OctetString | m_h4501SupplementaryService
PASN_Boolean | m_h245Tunneling
H225_ArrayOf_PASN_OctetString | m_h245Control
H225_ArrayOf_NonStandardParameter | m_nonStandardControl
H225_CallLinkage | m_callLinkage
H225_H323_UU_PDU_tunnelledSignallingMessage | m_tunnelledSignallingMessage
PASN_Null | m_provisionalRespToH245Tunneling
H225_StimulusControl | m_stimulusControl
H225_ArrayOf_GenericData | m_genericData

## Member Enumeration Documentation

enum H225_H323_UU_PDU::OptionalFields

Enumerator:

  e_nonStandardData |
  e_h4501SupplementaryService |
  e_h245Tunneling |
  e_h245Control |
  e_nonStandardControl |
  e_callLinkage |
  e_tunnelledSignallingMessage |
  e_provisionalRespToH245Tunneling |
  e_stimulusControl |
  e_genericData |

## Constructor & Destructor Documentation

H225_H323_UU_PDU::H225_H323_UU_PDU | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_H323_UU_PDU::GetDataLength | ( |  | ) | const

PBoolean H225_H323_UU_PDU::Decode | ( | PASN_Stream & | strm | ) |

void H225_H323_UU_PDU::Encode | ( | PASN_Stream & | strm | ) | const

void H225_H323_UU_PDU::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_H323_UU_PDU::Compare | ( | const PObject & | obj | ) | const

PObject* H225_H323_UU_PDU::Clone | ( |  | ) | const

## Member Data Documentation

H225_H323_UU_PDU_h323_message_body H225_H323_UU_PDU::m_h323_message_body

H225_NonStandardParameter H225_H323_UU_PDU::m_nonStandardData

H225_ArrayOf_PASN_OctetString H225_H323_UU_PDU::m_h4501SupplementaryService

PASN_Boolean H225_H323_UU_PDU::m_h245Tunneling

H225_ArrayOf_PASN_OctetString H225_H323_UU_PDU::m_h245Control

H225_ArrayOf_NonStandardParameter H225_H323_UU_PDU::m_nonStandardControl

H225_CallLinkage H225_H323_UU_PDU::m_callLinkage

H225_H323_UU_PDU_tunnelledSignallingMessage H225_H323_UU_PDU::m_tunnelledSignallingMessage

PASN_Null H225_H323_UU_PDU::m_provisionalRespToH245Tunneling

H225_StimulusControl H225_H323_UU_PDU::m_stimulusControl

H225_ArrayOf_GenericData H225_H323_UU_PDU::m_genericData

The documentation for this class was generated from the following file:

- h225.h